Pagelets - add extension point for host show page

11/05/2017 04:28 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Plugin integration   

Target version: 1.17.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4979

  

Description

Related issues:

Has duplicate Foreman - Feature #13873: Facets - add UI extension points Duplicate

Copied to Foreman - Feature #21658: Pagelets - add tab extension point for ho... Closed 11/05/2017

Associated revisions

Revision 510dbaae - 11/08/2017 02:20 PM - Timo Goebel

fixes #21579 - pagelets for host show

History

#1 - 11/06/2017 11:25 AM - Daniel Lobato Garcia

Host#show is pretty complex, what extension points are you looking for? Graphs? Buttons? Left menu?

Is there any reason why you would prefer not to use Deface as most plugins currently do?

Just looking for some answers to help clarify the requirements to close this issue

#2 - 11/06/2017 11:55 AM - Timo Goebel

The host show page should have Pagelet extension points for tabs (left menu). I don't want to use deface as this feels pretty hacky.

#3 - 11/06/2017 11:56 AM - Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/4979 added

#4 - 11/06/2017 11:57 AM - Timo Goebel

- Status changed from New to Ready For Testing

#5 - 11/08/2017 03:01 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 510dbaaee5130d3271accc7b6b421ea5ea83af24.

#6 - 11/08/2017 04:13 PM - Marek Hulán

- translation missing: en.field_release set to 296

#7 - 11/14/2017 01:50 PM - Timo Goebel

- Copied to Feature #21658: Pagelets - add tab extension point for hostgroup edit page added

#8 - 11/05/2020 04:08 PM - Ondřej Ezr

- Has duplicate Feature #13873: Facets - add UI extension points added
